=== requirements.txt ===
SpeechRecognition==3.9.0
vosk==0.3.45
