=== debian/control ===
Source: ros-one-ros-speech-recognition
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), g++, ros-one-catkin, ros-one-catkin-virtualenv, ros-one-dynamic-reconfigure, ros-one-jsk-data, ros-one-speech-recognition-msgs
Homepage: https://pypi.python.org/pypi/SpeechRecognition/
Standards-Version: 3.9.2

Package: ros-one-ros-speech-recognition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flac, python3-gnupg, python3-pycryptodome, ros-one-audio-capture, ros-one-audio-common-msgs, ros-one-dynamic-reconfigure, ros-one-jsk-data, ros-one-sound-play, ros-one-speech-recognition-msgs, sound-theme-freedesktop
Description: ROS wrapper for Python SpeechRecognition library
