## ros-one-ros-speech-recognition 2.1.31-19jammy.20260116.2202

=== debian/changelog ===
ros-one-ros-speech-recognition (2.1.31-19jammy.20260116.2202) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 22:02:58 +0000
