## ros-one-ros-speech-recognition 2.1.31-19jammy.20260207.2223

=== debian/changelog ===
ros-one-ros-speech-recognition (2.1.31-19jammy.20260207.2223) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 22:23:57 +0000
