## ros-one-ros-speech-recognition 2.1.31-19jammy.20260222.0006

=== debian/changelog ===
ros-one-ros-speech-recognition (2.1.31-19jammy.20260222.0006) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:06:51 +0000
