## ros-one-ros-speech-recognition 2.1.31-19noble.20251023.1440

=== debian/changelog ===
ros-one-ros-speech-recognition (2.1.31-19noble.20251023.1440) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 14:40:18 +0000

ros-one-ros-speech-recognition (2.1.31-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.30-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.29-0noble) noble; urgency=high

  * [doc] fix typo in jsk_3rdparty/ros_speech_recognition/README.md (#499 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/499>)
  * Contributors: Yukina Iwata

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.28-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.25-0noble) noble; urgency=high

  * [ros_speech_recognition] Add vosk engine (#474 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/474>)
  * Pr/use sound themes freedesktop (#472 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/472>)
  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * add self.conf_thresh in __init__ function (#457 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/457>)
  * [ros_speech_recognition] add ubuntu-sounds dependency (#453 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/453>)
  * [ros_speech_recognition] Return if result is empty (#443 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/443>)
  * [ros_speece_recognition] Set confidence value of google (#434 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/434>)
  * [ros_speech_recognition] add parrotry.launch (#414 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/414>)
  * [ros_ speech_recognition] update default arg for speech_recognition.launch (#412 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/412>)
  * [ros_speech_recogniton, respeaker_ros] add confidence field (#411 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/411>)
  * [ros_speech_recognition] add self cancellation for speech recogntion (#413 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/413>)
  * [#405 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/405> and #410 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/410>] Fix CI (#415 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/415>)
  * add ROS interface for https://cloud.google.com/natural-language (#304 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/304>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
    
      * pgm_learner/respeaker_ros/ros_speech_recognition/rosping: increase time-limit/wait-time
    
  * Explicit python interpreter in catkin_virtualenv (#367 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/367>)
  * .github/workflow:  integrate all yaml to one (#338 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/338>)
  * [ros_speech_recognition] Fixed the behavior of launch file (#336 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/336>)
  * [ros_speech_recognition] add auto_start in speech_recognition_node.py (#301 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/301>)
  * [ros_speech_recognition] add SpeechRecognitionCandidatesToString node (#303 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/303>)
  * Enable sound play flag (#315 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/315>)
  * Contributors: Aiko Ichikura, Aoi Nakane, Kei Okada, Koki Shinjo, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata, Iory Yanokura

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.24-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.23-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.22-0noble) noble; urgency=high

  * enable to change topic name from speech_recognition.launch (#254 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/254>)
  * support SpeakerDiarization, see https://cloud.google.com/speech-to-text/docs/reference/rest/v1/speech/recognize#SpeechRecognitionAlternative (#244 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/244>)
    
      * [ros_speech_recognition] Add doc to speech_recognition.launch
        add doc to args, and we need to use rosparm for device, not param. because 'device: ' causes
        load_parameters: unable to set parameters (last param was [/speech_recognition/depth=16]): cannot marshal None unless allow_none is enabled  error
      * more exception message for self.recognize
    
  * Use PYTHON_INTERPRETER python3 in ros_speech_recognition (#225 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/225>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-ros-speech-recognition (2.1.21-0noble) noble; urgency=high


