## ros-one-ros-speech-recognition 2.1.31-19noble.20260116.2155

=== debian/changelog ===
ros-one-ros-speech-recognition (2.1.31-19noble.20260116.2155) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:55:49 +0000
