## ros-one-ros-speech-recognition 2.1.31-19noble.20260207.2221

=== debian/changelog ===
ros-one-ros-speech-recognition (2.1.31-19noble.20260207.2221) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 22:21:19 +0000
