## ros-one-ros-speech-recognition 2.1.31-19noble.20260222.0116

=== debian/changelog ===
ros-one-ros-speech-recognition (2.1.31-19noble.20260222.0116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Feb 2026 01:16:14 +0000
